load DEC02-10.asc
load DEC02-11.asc
load DEC02-12.asc
load DEC02-13.asc
load DEC02-14.asc
load DEC02-15.asc
load DEC02-16.asc
load DEC02-17.asc
load DEC02-18.asc
load DEC02-19.asc
load DEC02-20.asc
load DEC02-21.asc

DC = 12.1;

N = 11;
C = linspecer(N);
figure(1)
clf
axes('NextPlot','replacechildren','ColorOrder',C)
loglog(DEC02_10(:,1),DEC02_10(:,2)./DC,...
    DEC02_10(:,1),DEC02_11(:,2)./DC,...
    DEC02_10(:,1),DEC02_12(:,2)./DC,...
    DEC02_10(:,1),DEC02_13(:,2)./DC,...
    DEC02_10(:,1),DEC02_14(:,2)./DC,...
    DEC02_10(:,1),DEC02_15(:,2)./DC,...
    DEC02_10(:,1),DEC02_16(:,2)./DC,...
    DEC02_10(:,1),DEC02_17(:,2)./DC,...
    DEC02_10(:,1),DEC02_18(:,2)./DC,...
    DEC02_10(:,1),DEC02_19(:,2)./DC,...
    DEC02_10(:,1),DEC02_20(:,2)./DC,...
    DEC02_10(:,1),DEC02_21(:,2)./DC)

xlabel('Frequency (Hz)')
ylabel('RIN/\surd(Hz)')
set(gca,'FontSize',15)
axis tight

legend('INOFFSET = -3.4mV',...
    'INOFFSET = -3.6mV',...
    'INOFFSET = -3.8mV',...
    'INOFFSET = -4.0mV',...
    'INOFFSET = -4.2mV',...
    'INOFFSET = -4.4mV',...
    'INOFFSET = -4.5mV',...
    'INOFFSET = -4.45mV',...
    'INOFFSET = -4.49mV',...
    'INOFFSET = -4.6mV',...
    'INOFFSET = -4.3mV',...
    'INOFFSET = -4.1mV','location','best')

%%
idx = find(DEC02_10(:,1) == 361);

offsets = [-3.4,-3.6,-3.8,...
    -4.0,-4.2,-4.4,...
    -4.5,-4.45,-4.49,...
    -4.6,-4.3,-4.1];

delta_f = 1;
NENBW = 1.5;
ENBW = NENBW*delta_f;

peaks = [DEC02_10(idx,2)./DC,...
    DEC02_11(idx,2)./DC,...
    DEC02_12(idx,2)./DC,...
    DEC02_13(idx,2)./DC,...
    DEC02_14(idx,2)./DC,...
    DEC02_15(idx,2)./DC,...
    DEC02_16(idx,2)./DC,...
    DEC02_17(idx,2)./DC,...
    DEC02_18(idx,2)./DC,...
    DEC02_19(idx,2)./DC,...
    DEC02_20(idx,2)./DC,...
    DEC02_21(idx,2)./DC].*sqrt(ENBW);

figure(2)
clf
scatter(offsets,peaks,100,'filled','MarkerEdgeColor',c(1,:),'MarkerfaceColor',c(1,:))
xlabel('Offset (mV)')
ylabel('Relative Intesity of peak')
set(gca,'FontSize',15,'yscale','log')
axis tight

